Package Scientific :: Package Visualization :: Module VPython

[frames] | no frames]

# Module VPython

Definitions of simple 3D graphics objects and scenes containing them, to be rendered using VPython

Classes
| Arrow Arrow
| Cone Cone
| Cube Cube
| Cylinder Cylinder
| GraphicsObject Graphics object for VPython
| Group Base class for composite objects
| Line Line
| Material Material specification for graphics objects
| PolyLines Multiple connected lines
| Polygons Polygons
| Scene VPython scene
| ShapeObject Graphics objects representing geometrical shapes
| Sphere Sphere

Functions

Material

DiffuseMaterial(color) Returns: a material with the 'diffuse color' attribute set to color |

Material

EmissiveMaterial(color) Returns: a material with the 'emissive color' attribute set to color |

isGroup(x) |

Function Details

### DiffuseMaterial(color)

Parameters:
  - `color` (Color or `str`) - a color object or a predefined color name
Returns: Material
  a material with the 'diffuse color' attribute set to color

### EmissiveMaterial(color)

Parameters:
  - `color` (Color or `str`) - a color object or a predefined color name
Returns: Material
  a material with the 'emissive color' attribute set to color